ST_PixelAsCentroid
Prev | 12.6. Raster Pixel Accessors and Setters | Next

## Name

ST_PixelAsCentroid — Returns the centroid (point geometry) of the area represented by a pixel.

## Synopsis

`geometry ST_PixelAsCentroid(`raster rast, integer x, integer y`)`;

## Description

Returns the centroid (point geometry) of the area represented by a pixel.

Enhanced: 3.2.0 Faster now implemented in C.

Availability: 2.1.0

## Examples

    SELECT ST_AsText(ST_PixelAsCentroid(rast, 1, 1)) FROM dummy_rast WHERE rid = 1;

      st_astext
    --------------
     POINT(1.5 2)

## See Also

ST_DumpAsPolygons, ST_PixelAsPolygon, ST_PixelAsPolygons, ST_PixelAsPoint, ST_PixelAsPoints, ST_PixelAsCentroids

Prev | Up | Next
ST_PixelAsPoints | Home | ST_PixelAsCentroids